Set EntityType
PUT/entityTypes/:entityTypeId
Sets a Entity Type
Request
Path Parameters
entityTypeId stringrequired
EntityType Identifier
Query Parameters
siteId string
Site Identifier
createIfMissing boolean
When true, skip checking whether the resource exists before setting it
Default value:
false- application/json
Body
required
entityType
object
namespace EntityTypeNamespace (string)
Entity Type namespace
Possible values: [PRESET, CUSTOM]
name string
Entity Type Name
Responses
- 200
- 400
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
message string
Result message
{
"message": "string"
}
400 OK
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
errors
object[]
List of errors
key string
Error Key
error string
Error Message
{
"errors": [
{
"key": "string",
"error": "string"
}
]
}
Loading...